PHP Manual
Prev |  | Next

# classkit_import

(PECL)

classkit_import -- Import new class method definitions from a file

## Description

array classkit_import ( string filename )

> Note: This function cannot be used to manipulate the currently running (or chained) method.

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

filename

  The filename of the class method definitions to import

## Return Values

Associative array of imported methods

## Examples

Example 1. classkit_import() example
`<?php // file: newclass.php class Example { function foo() { return "bar!\n"; } } ?>`
`<?php // requires newclass.php (see above) class Example { function foo() { return "foo!\n"; } } $e = new Example(); // output original echo $e->foo(); // import replacement method classkit_import('newclass.php'); // output imported echo $e->foo(); ?>`
The above example will output:
    foo!
    bar!

## See Also

classkit_method_add()
classkit_method_copy()

Prev | Home | Next
Classkit Functions | Up | classkit_method_add